Std CreateGroup

From FreeCAD Documentation
Jump to navigation Jump to search

This documentation is not finished. Please help and contribute documentation.

Gui Command explains how tools should be documented. See Draft ShapeString for an example of a well documented tool. Browse Category:UnfinishedDocu to see incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Other languages:
English • ‎français • ‎italiano

Std CreateGroup.png Std CreateGroup

Menu location
Tree View → Right click on the document name
Workbenches
All
Default shortcut
Introduced in version
-
See also
Draft SelectGroup, Draft AddToGroup


Description

This command lets you create a group in the tree view.
It can be used for organizing the structure of your model.

Usage

Right-click on the name of your FreeCAD-document in the tree-view and choose "create group".
A group will be created automatically and give the icon of a directory and an automatically chosen name.
You can rename the group by right-clicking on the group and choosing "rename" or using "F2" on your keyboard.
Push FreeCAD-objects into the group or pull them out of the group by clicking on the desired object,
keep left-mouse button pressed and using drag&drop-style to drag the object to desired new location.
As long as there is a "circle with a diagonal line"-sign below the cursor you can't drop your object here.
As soon as the sign changes to a "plus"-symbol it is possible to drop your object here.

  1. Right click on active document or on existing group in the Tree View and select Create Group...
  2. Drag-n-drop objects into the group

Group with objects.png

Options

  • To rename the group select a group and press F2, or right click a group and select Rename

Properties

  • DataLabel: Name of the group

Scripting

Following command adds new group to the active document:


App.ActiveDocument.addObject("App::DocumentObjectGroup","Group")

Limitations

Command needs an open FreeCAD-document to work.

Links

Notes